| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
_dof_packet_data Struct Reference

## Public Attributes
wmem_list_t * | data_list
uint32_t | frame
uint32_t | dof_frame
struct _dof_packet_data * | next
bool | processed
const char * | summary
int | sender_id
int | receiver_id
bool | is_command
bool | is_sent_by_initiator
unsigned | sender_sid_id
unsigned | receiver_sid_id
dof_2009_1_pdu_19_sid | sender_sid
dof_2009_1_pdu_19_sid | receiver_sid
bool | has_opid
dof_2009_1_pdu_20_opid | op
bool | has_referenced_opid
dof_2009_1_pdu_20_opid | ref_op
struct _dof_packet_data * | opid_first
struct _dof_packet_data * | opid_next
struct _dof_packet_data * | opid_last
struct _dof_packet_data * | opid_first_response
struct _dof_packet_data * | opid_next_response
struct _dof_packet_data * | opid_last_response
const char * | security_session_error
dof_session_key_exchange_data * | security_session
void * | security_packet
uint8_t * | decrypted_buffer
tvbuff_t * | decrypted_tvb
uint16_t | decrypted_offset
char * | decrypted_buffer_error
void * | opid_data

## Detailed Description

DOF PACKET DATA This structure exists for each DOF packet. There is ABSOLUTELY NO transport-specific information here, although there is a session number which may relate to transport information indirectly through a transport session. There will be one of these for each DOF packet, even if the corresponding Wireshark frame has multiple DOF packets encapsulated in it. The key to this structure is the operation identifier, and there is a hash lookup to go from an operation identifier to this structure.

## Member Data Documentation

## ◆ data_list

wmem_list_t* _dof_packet_data::data_list

NON-DPS FIELDS, USED FOR WIRESHARK COMMUNICATION/PROCESSING Protocol-specific data.

## ◆ dof_frame

uint32_t _dof_packet_data::dof_frame

The DPS frame/packet. This number is unique in the entire trace.

## ◆ frame

uint32_t _dof_packet_data::frame

The Wireshark frame. Note that a single frame can have multiple DPS packets.

## ◆ has_opid

bool _dof_packet_data::has_opid

Operation references.

## ◆ is_command

bool _dof_packet_data::is_command

DPP INFORMATION - CACHED INFORMATION

## ◆ next

struct _dof_packet_data* _dof_packet_data::next

Packet linked list for all dps packets.

## ◆ opid_data

void* _dof_packet_data::opid_data

OPERATION DATA: Generic data, seasonal, owned by the application protocol dissector for this packet.

## ◆ processed

bool _dof_packet_data::processed

DPS FIELDS Indicator that the packet has already been processed. Processed packets have all their fields set that can be determined. Further attempts to determine NULL fields are worthless.

## ◆ security_session_error

const char* _dof_packet_data::security_session_error

SECURITY INFORMATION - CACHED

## ◆ sender_id

int _dof_packet_data::sender_id

SENDER ID/RECEIVER ID: An identifier for each unique sender/receiver according to DPS. This augments the transport SENDER ID/RECEIVER ID in determining each unique sender.

## ◆ sender_sid

dof_2009_1_pdu_19_sid _dof_packet_data::sender_sid

SENDER SID/RECEIVER SID: The SID of the sender/receiver, or NULL if not known.

## ◆ sender_sid_id

unsigned _dof_packet_data::sender_sid_id

SENDER SID ID/RECEIVER SID ID: An identifier for the sid associated with this packet's sender. Zero indicates that it has not been assigned. Assigned by the DPP dissector.

## ◆ summary

const char* _dof_packet_data::summary

SUMMARY: An operation summary, displayed in the Operation History. This is seasonal data, managed by the DPP dissector.

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/epan/dissectors/packet-dof.c